CVE-2021-32811

Published on: 08/02/2021 12:00:00 AM UTC

Last Modified on: 08/11/2021 03:25:00 PM UTC

CVE-2021-32811 - advisory for GHSA-g4gq-j4p2-j8fr

Source: Mitre Source: Nist Print: PDF PDF
CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Certain versions of Accesscontrol from Zope contain the following vulnerability:

Zope is an open-source web application server. Zope versions prior to versions 4.6.3 and 5.3 have a remote code execution security issue. In order to be affected, one must use Python 3 for one's Zope deployment, run Zope 4 below version 4.6.3 or Zope 5 below version 5.3, and have the optional `Products.PythonScripts` add-on package installed. By default, one must have the admin-level Zope "Manager" role to add or edit Script (Python) objects through the web. Only sites that allow untrusted users to add/edit these scripts through the web are at risk. Zope releases 4.6.3 and 5.3 are not vulnerable. As a workaround, a site administrator can restrict adding/editing Script (Python) objects through the web using the standard Zope user/role permission mechanisms. Untrusted users should not be assigned the Zope Manager role and adding/editing these scripts through the web should be restricted to trusted users only. This is the default configuration in Zope.

  • CVE-2021-32811 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as HIGH severity.
  • Affected Vendor/Software: URL Logo zopefoundation - Zope version >= 4.0, < 4.6.3
  • Affected Vendor/Software: URL Logo zopefoundation - Zope version >= 5.0, < 5.3

CVSS3 Score: 7.2 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW HIGH NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 6.5 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK LOW SINGLE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
Merge pull request from GHSA-g4gq-j4p2-j8fr · zopefoundation/[email protected] · GitHub github.com
text/html
URL Logo MISC github.com/zopefoundation/Zope/commit/f72a18dda8e9bf2aedb46168761668464a4be988
Remote Code Execution via Script (Python) objects under Python 3 · Advisory · zopefoundation/Zope · GitHub github.com
text/html
URL Logo CONFIRM github.com/zopefoundation/Zope/security/advisories/GHSA-g4gq-j4p2-j8fr
Remote Code Execution via unsafe classes in otherwise permitted modules · Advisory · zopefoundation/AccessControl · GitHub github.com
text/html
URL Logo MISC github.com/zopefoundation/AccessControl/security/advisories/GHSA-qcx9-j53g-ccgf

Related QID Numbers

  • 981410 Python (pip) Security Update for Zope (GHSA-g4gq-j4p2-j8fr)

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationZopeAccesscontrolAllAllAllAll
ApplicationZopeZopeAllAllAllAll
  • cpe:2.3:a:zope:accesscontrol:*:*:*:*:*:*:*:*:
  • cpe:2.3:a:zope:zope:*:*:*:*:*:*:*:*:

Social Mentions

Source Title Posted (UTC)
Twitter Icon @CVEreport CVE-2021-32811 : Zope is an open-source web application server. Zope versions prior to versions 4.6.3 and 5.3 have… twitter.com/i/web/status/1… 2021-08-02 21:57:22
© CVE.report 2021 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report